Subject: bug#67590: 30.0.50; [native-compilation] Error during redisplay

From: Andrea Corallo <[email-masked]>
Date: Sun, 03 Dec 2023 16:27:43 -0500

Eli Zaretskii <[email-masked]> writes:

>> From: German Pacenza <[email-masked]>
>> Date: Sat, 02 Dec 2023 17:36:59 -0300
>> 
>> 
>> When starting emacs the *message* buffer shows:
>> Error during redisplay: (apply native--compile-async
>> ("/home/german/.local/emacs/share/emacs/30.0.50/lisp/elec-pair.el"
>> nil late)) signaled (void-function emacs-lisp-compilation-mode)
>> Error during redisplay: (apply native--compile-async
>> ("/home/german/.local/emacs/share/emacs/30.0.50/lisp/emacs-lisp/rx.el"
>> nil late)) signaled (void-function emacs-lisp-compilation-mode) [66
>> times]
>> Error during redisplay: (apply native--compile-async
>> ("/home/german/.local/emacs/share/emacs/30.0.50/lisp/elec-pair.el"
>> nil late)) signaled (void-function emacs-lisp-compilation-mode) [19
>> times]
>> Error during redisplay: (apply native--compile-async
>> ("/home/german/.local/emacs/share/emacs/30.0.50/lisp/savehist.el"
>> nil late)) signaled (void-function emacs-lisp-compilation-mode) [7
>> times]
>> Error during redisplay: (apply native--compile-async
>> ("/home/german/.local/emacs/share/emacs/30.0.50/lisp/delsel.el" nil
>> late)) signaled (void-function emacs-lisp-compilation-mode) [8
>> times]
>> Error during redisplay: (apply native--compile-async
>> ("/home/german/.local/emacs/share/emacs/30.0.50/lisp/info.el" nil
>> late)) signaled (void-function emacs-lisp-compilation-mode) [159
>> times]
>
> I cannot reproduce this, but I think I see the problem: comp-run.el
> should (require 'bytecomp), where emacs-lisp-compilation-mode is
> defined.
>
> Adding Andrea.

Hi Eli,

same here, could not reproduce but I believe the fix is adding the
suggested require.

Added now with cf11fdfd8e4, German could you double check it works for
you?

Thanks!

  Andrea